#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: streaming-commons
version: 0.2.0.0
id: streaming-commons-0.2.0.0-Et4DDoljbnf6O6HcePGv7m
key: streaming-commons-0.2.0.0-Et4DDoljbnf6O6HcePGv7m
license: MIT
maintainer: michael@snoyman.com
author: Michael Snoyman, Emanuel Borsboom
homepage: https://github.com/fpco/streaming-commons
synopsis: Common lower-level functions needed by various streaming data libraries
description:
    Provides low-dependency functionality commonly needed by various streaming data libraries, such as conduit and pipes.
category: Data
abi: 72b8fa887d1b7f8a5a38de5be1ea08d3
exposed: True
exposed-modules:
    Data.Streaming.ByteString.Builder
    Data.Streaming.ByteString.Builder.Buffer Data.Streaming.FileRead
    Data.Streaming.Filesystem Data.Streaming.Network
    Data.Streaming.Network.Internal Data.Streaming.Process
    Data.Streaming.Process.Internal Data.Streaming.Text
    Data.Streaming.Zlib Data.Streaming.Zlib.Lowlevel
hidden-modules: Data.Text.Internal.Unsafe.Char
                Data.Text.Internal.Unsafe.Shift Data.Text.Internal.Encoding.Utf8
                Data.Text.Internal.Encoding.Utf16 Data.Text.Internal.Encoding.Utf32
import-dirs: /usr/lib/ghc-8.4.2/site-local/streaming-commons-0.2.0.0
library-dirs: /usr/lib/ghc-8.4.2/site-local/streaming-commons-0.2.0.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/streaming-commons-0.2.0.0
hs-libraries: HSstreaming-commons-0.2.0.0-Et4DDoljbnf6O6HcePGv7m
depends:
    base-4.11.1.0 array-0.5.2.0 async-2.2.1-B6m2kYywRJu7nicgTBxsJe
    bytestring-0.10.8.2 directory-1.3.1.5
    network-2.6.3.5-KclFamJR02kL7LGCwfGqog
    random-1.1-9LLJAJa4iQFLJiLXBOBXBV process-1.6.3.0 stm-2.4.5.0
    text-1.2.3.0 transformers-0.5.5.0 zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH
    unix-2.7.2.2
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             array-0.5.2.0=59560c027ff6ea5b7e467a38c579b575
             async-2.2.1-B6m2kYywRJu7nicgTBxsJe=c9f0ee1873901d5683a7b150cb14a209
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             directory-1.3.1.5=c4ddb2059d4b7fed7d39b1d1bb3bf41d
             network-2.6.3.5-KclFamJR02kL7LGCwfGqog=50faab5fad16287a37cd02f1e51fcd1a
             random-1.1-9LLJAJa4iQFLJiLXBOBXBV=552cb76a5e53a808564c851a382c09ce
             process-1.6.3.0=f742183dfb18804fd4a4a0e3c09be01d
             stm-2.4.5.0=fc4e40e3aa6203460dfa01934bcd44f0
             text-1.2.3.0=5654b56910ce698015ec900075c28f62
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH=de1ac2074f90e9397bcb253d3ffe265d
             unix-2.7.2.2=52cd75b8c492339f1bc16a6e08d9b9d7
haddock-interfaces: /usr/share/doc/haskell-streaming-commons/html/streaming-commons.haddock
haddock-html: /usr/share/doc/haskell-streaming-commons/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

